Subject: Re: [PATCH 1/2] iproute: Add magic cookie to route dump file

From: Pavel Emelyanov <[email-masked]>
Date: Fri, 27 Jul 2012 17:35:27 +0400

On 07/27/2012 02:46 PM, David Laight wrote:
>> In order to somehow verify that a blob contains route dump a
>> 4-bytes magic is put at the head of the data and is checked
>> on restore.
> 
> Wouldn't a hash/checksum be useful as well?

I doubt it. This magic is not for data integrity check, but is
rather for identification of it. Is someone really needs a cheksum
of a dump, it can be added after file generation (and by the
preferred tool, not limited with the iproute implementation).

> Especially if it uneditable data.
> 
> 	David
> 
> 
>